Subject: Re: [RRG] Renumbering...

From: Dino Farinacci <[email-masked]>
Date: Thu, 14 Aug 2008 08:42:05 -0700

> Depends on what namespace you're talking about changing names in, I  
> suspect.
>
> For an identification namespace, renumbering is probably painful and  
> must be
> rare, and have a high-value output for it to be feasible (e.g.  
> gaining access
> to some new capability).
>
> On the other hand, in a location namespace, any system _must_ support
> renumbering at a 'reasonable' cost, and people _must be willing to  
> accept that
> cost_ when they change their location (e.g. changing ISPs) - just like
> everyone accepts that when you move to a new building, your mailing  
> address
> changes, and you have to print all new stationery.

For LISP, in the average case it is assigning (or adding a secondary)  
on the CE-PE interface of the 2 CPE routers and then update the  
database mapping entry in each CPE. That's 3 commands in the 2 CPE  
devices.

That is trivial and if performed everyday would hardly be any OpEx  
cost. By no means does it need to be done everyday just pointing out  
reassigning a locator address(es) to a site is pretty easy in the LISP  
architecture.

Dino

>
>
> The interesting question is whether people will accept having to  
> change their
> location-name if we decide to rejigger the abstraction hierarchy...
>
> 	Noel
>
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg